Debian Bug report logs - #650570
vxl: FTBFS: /tmp/buildd/vxl-1.14.0/core/vil/file_formats/vil_png.cxx:192:35: error: invalid use of incomplete type 'png_info {aka struct png_info_def}'

version graph

Package: src:vxl; Maintainer for src:vxl is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>;

Reported by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

Date: Wed, 30 Nov 2011 21:16:18 UTC

Severity: wishlist

Tags: patch

Found in version vxl/1.14.0-11

Fixed in version vxl/1.14.0-16

Done: Mathieu Malaterre <malat@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/apps/trac/vxl/ticket/71

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#650570; Package src:vxl. (Wed, 30 Nov 2011 21:16:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
New Bug report received and forwarded. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 30 Nov 2011 21:16:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: vxl: FTBFS: /tmp/buildd/vxl-1.14.0/core/vil/file_formats/vil_png.cxx:192:35: error: invalid use of incomplete type 'png_info {aka struct png_info_def}'
Date: Thu, 1 Dec 2011 06:15:08 +0900
[Message part 1 (text/plain, inline)]
Source: vxl
Version: 1.14.0-11
Severity: wishlist
User: libpng@packages.debian.org
Usertags: libpng15-transition

Hi,

I uploaded libpng 1.5 to experimental.
libpng maintainers plan to transition from libpng 1.2 to 1.5.
I am checking build it the package depend to libpng.

I noticed your package FTBFS by libpng 1.5.
I attached build log.
Could you check your package?

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6
[vxl_1.14.0-11.1_amd64.build.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#650570; Package src:vxl. (Thu, 01 Dec 2011 16:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 01 Dec 2011 16:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 650570@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 650570@bugs.debian.org
Date: Thu, 1 Dec 2011 17:40:09 +0100
Some notes on why this is failing:

$ cat png.h
...
/* The complete definition of png_info has, as of libpng-1.5.0, * been
moved into a separate header file that is not accessible to *
applications.  Read libpng-manual.txt or libpng.3 for more info.
*/typedef struct png_info_def png_info;




Set Bug forwarded-to-address to 'https://sourceforge.net/mailarchive/message.php?msg_id=28478595'. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sun, 04 Dec 2011 10:31:31 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://sourceforge.net/apps/trac/vxl/ticket/71' from 'https://sourceforge.net/mailarchive/message.php?msg_id=28478595' Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Sun, 04 Dec 2011 10:42:45 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#650570; Package src:vxl. (Mon, 23 Apr 2012 14:21:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 23 Apr 2012 14:21:24 GMT) Full text and rfc822 format available.

Message #19 received at 650570@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 650570@bugs.debian.org
Date: Mon, 23 Apr 2012 15:49:48 +0200
tags 650570 patch
thanks

See here:
http://vxl.svn.sf.net/viewvc/vxl?view=revision&revision=34802




Added tag(s) patch. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Mon, 23 Apr 2012 14:21:44 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Fri, 04 May 2012 10:21:34 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <malat@debian.org>:
You have taken responsibility. (Fri, 04 May 2012 17:09:05 GMT) Full text and rfc822 format available.

Notification sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug acknowledged by developer. (Fri, 04 May 2012 17:09:05 GMT) Full text and rfc822 format available.

Message #28 received at 650570-close@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 650570-close@bugs.debian.org
Subject: Bug#650570: fixed in vxl 1.14.0-16
Date: Fri, 04 May 2012 17:07:34 +0000
Source: vxl
Source-Version: 1.14.0-16

We believe that the bug you reported is fixed in the latest version of
vxl, which is due to be installed in the Debian FTP archive:

libvxl1-dev_1.14.0-16_amd64.deb
  to main/v/vxl/libvxl1-dev_1.14.0-16_amd64.deb
libvxl1.14_1.14.0-16_amd64.deb
  to main/v/vxl/libvxl1.14_1.14.0-16_amd64.deb
vxl_1.14.0-16.debian.tar.gz
  to main/v/vxl/vxl_1.14.0-16.debian.tar.gz
vxl_1.14.0-16.dsc
  to main/v/vxl/vxl_1.14.0-16.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650570@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Malaterre <malat@debian.org> (supplier of updated vxl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 04 May 2012 14:53:49 +0200
Source: vxl
Binary: libvxl1.14 libvxl1-dev
Architecture: source amd64
Version: 1.14.0-16
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Mathieu Malaterre <malat@debian.org>
Description: 
 libvxl1-dev - C++ Libraries for Computer Vision Research
 libvxl1.14 - C++ Libraries for Computer Vision Research
Closes: 650570 665026
Changes: 
 vxl (1.14.0-16) unstable; urgency=low
 .
   * Use my @d.o alias
   * Set LDFLAGS to remove lintian warnings
   * Update d/copyright to use dep5
   * Bump Std-Vers to 3.9.3, no changes needed
   * Explicitly prefer libtiff5-dev in d/control. Closes: #665026
   * Fix compilation with png1.5. Closes: #650570
   * Fix lintian warning about FSF address
   * Make sure to compile using 2.7 (3.2 generates FTBFS)
   * Activate test-suite, remove broken tests for now
Checksums-Sha1: 
 78cb9291aa0189b63f4be62e65ea7008644b3586 2372 vxl_1.14.0-16.dsc
 dcbe3f15112769e1dd5cb83ebad40aa0a065a977 34177 vxl_1.14.0-16.debian.tar.gz
 6a874f85093524f246eee01a1017948a688b0317 12657556 libvxl1.14_1.14.0-16_amd64.deb
 4055322df31a397dc2bac5d6f593e94468acf111 2132718 libvxl1-dev_1.14.0-16_amd64.deb
Checksums-Sha256: 
 4ce3e335aec52374263809d73c6b378ba8ffb84668a57cb92ea3bc44eff6515b 2372 vxl_1.14.0-16.dsc
 5210d8ea7ffb5943c8e1eed9aba5400d1caed7d81c1433b3c34012cb00f12272 34177 vxl_1.14.0-16.debian.tar.gz
 1c90508479b8862a0a60d7a00a502c8625d784b1c77dac9b10c26a6bca34f62a 12657556 libvxl1.14_1.14.0-16_amd64.deb
 13644838ad4dd3ecb318e2b84977bf261683ed1b41415b69ee413150bd5a1656 2132718 libvxl1-dev_1.14.0-16_amd64.deb
Files: 
 045579c73e71774ae9096a003ae61b43 2372 science optional vxl_1.14.0-16.dsc
 ed4507a41ca0c95cf3192804cc48eaf2 34177 science optional vxl_1.14.0-16.debian.tar.gz
 febe0f0bd9444470c040a8b2101386bf 12657556 libs optional libvxl1.14_1.14.0-16_amd64.deb
 7731476c9827a253a5cbf7b30c8a28ab 2132718 libdevel optional libvxl1-dev_1.14.0-16_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJPpAWRAAoJEAFx4YKK4JNF7kIP/jtdFsOGgSNM7x5ebN0Qhm1V
5ow73cQc2OisqckoV1051EKNYHBrpxCNZFpFHx4GdW2ZpX3MqS/5oMwi8/UKM6Uc
kTAgBjTgH+aZr9vIRDytLklxbMjpRvIzbw/tjjli3oXxxDPlACTyEbpSwtGfOCZD
ys5JHg+mDDjvZ/TJvAjn8lcAWRLNM1apaaUgr6YinHq9HjaEMRpQoXu1OclgxD8v
CSuN9vYg51xLlUcrOEtHjNyb5bVDtUVcG3uBNTpXCRG7ThHfyEvmbVogxBVvmqKR
GdLijg7OSztcsdtC+etfLRb6+6o2u2+k30KtGKvRcyuEWWIz7HhLQsmmlFGCAWGs
xbE2ExlGVnDSkgbkcHmcDPB7blD2RfHv+/vkIs7VMgZpIchrEKco5fTiM0+FE9aB
RAoyV6DD5zyBHZB/dI329l027kuNGTpsV3YFRmUI4PibZZORN6AFNtYFpNcf1j5d
3YYKfS89qJaipYW3uEnlr4j4e0BQ3FSFPAYB6BB+/IB+XxL59tx8gKdps8vCAAMH
3RbA5atPoSb2Nnp337sPZEi6cifzq29lvmWdOuT2jBnyPRgfU745keO1DHzBOdgi
6Xs7jH+3y2lVODg09j7pAGPj4HkwMi9fAjox7GuH+ZqsEkiStj/nN4tqk0B3LAiq
WXmct8aeRuaeDl0D9dMs
=Q+J7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 13 Jun 2012 07:43:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:49:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.